eID middleware |

# be.portugal.eid.PTEID_MemoryCard Class Reference

Base class for Memory card. More...

Inheritance diagram for be.portugal.eid.PTEID_MemoryCard:

List of all members.

## Public Member Functions
synchronized void | delete ()
## Protected Member Functions
| PTEID_MemoryCard (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_MemoryCard obj)

## Detailed Description

Base class for Memory card.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_MemoryCard.PTEID_MemoryCard | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_MemoryCard.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Card.

Reimplemented in be.portugal.eid.PTEID_SISCard.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_MemoryCard.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Card.

Reimplemented in be.portugal.eid.PTEID_SISCard.

static long be.portugal.eid.PTEID_MemoryCard.getCPtr | ( | PTEID_MemoryCard | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_MemoryCard.swigCPtr.